<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:parentTag="androidx.constraintlayout.widget.ConstraintLayout">

    <!--播放视频的TextureView-->
    <play.widget.window.PlayTextureView
        android:id="@+id/textureView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!--播放视频窗口的背景-->
    <View
        android:id="@+id/windowBg"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/portrait_video_window_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <!--  视频loading标志  -->
    <ProgressBar
        android:id="@+id/loadingView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:indeterminateTint="@color/white"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/hintText"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="2dp"
        android:gravity="center"
        android:paddingHorizontal="4dp"
        android:textColor="@color/white"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="错误码：0x01b0001" />


    <!-- 电子放大倍率显示   -->
    <TextView
        android:id="@+id/zoomText"
        android:layout_width="40dp"
        android:layout_height="24dp"
        android:layout_marginStart="12dp"
        android:background="@drawable/shape_scale_text_bg"
        android:gravity="center"
        android:textColor="@color/white"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="1x"
        tools:visibility="visible" />


    <TextView
        android:id="@+id/talkHintText"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/black_70"
        android:gravity="center"
        android:minHeight="32dp"
        android:paddingHorizontal="4dp"
        android:textColor="@color/white"
        android:textSize="14sp"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="错误码：0x01b0001"
        tools:visibility="visible" />

</merge>